Name:           python-bingenetic
Version:        2.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        BinGenetic is a lightweight Python library that enables seamless conversion between binary data and genetic sequences (DNA or RNA), facilitating research in DNA data storage and bioinformatics.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/mr-ravin/BinGenetic
Source:         %{pypi_source bingenetic}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'bingenetic' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-bingenetic
Summary:        %{summary}

%description -n python3-bingenetic %_description


%prep
%autosetup -p1 -n bingenetic-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-bingenetic -f %{pyproject_files}


%changelog
%autochangelog